CEL: Crystal Entity Layer: iCelCameraMode Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelCameraMode Struct Reference

List of all members.

## Public Member Functions
virtual bool | AllowCollisionDetection () const =0
| Decides if collision detection should be allowed if for this mode the camera wants it.
virtual bool | DecideCameraState ()=0
| Informs the camera mode that it should compute the desired position, target, up, etc.
virtual bool | DrawAttachedMesh () const =0
| Decides if the mesh the camera is attached to should be drawn or not in this mode.
virtual const csVector3 & | GetPosition () const =0
| Gets the desired camera position.
virtual float | GetSpringCoefficient () const =0
| Gets the spring coefficient to use for the spring physics.
virtual const csVector3 & | GetTarget () const =0
| Gets the desired camera target.
virtual const csVector3 & | GetUp () const =0
| Gets the desired camera up vector.
virtual void | SetParentCamera (iPcNewCamera *camera)=0
| Tells the camera mode what camera has it attached.
virtual bool | UseSpringPos () const =0
| Decides if this camera mode should use spring physics for the camera's position.
virtual bool | UseSpringTarget () const =0
| Decides if this camera mode should use spring physics for the camera's target.
virtual bool | UseSpringUp () const =0
| Decides if this camera mode should use spring physics for the camera's up vector.

## Detailed Description

Definition at line 55 of file newcamera.h.

## Member Function Documentation

virtual bool iCelCameraMode::AllowCollisionDetection | ( |  | ) | const`[pure virtual]`

Decides if collision detection should be allowed if for this mode the camera wants it.

Returns:
  True if this camera mode allows collision detection.

virtual bool iCelCameraMode::DecideCameraState | ( |  | ) | `[pure virtual]`

Informs the camera mode that it should compute the desired position, target, up, etc.

of the camera now.

Returns:
  True on success.

virtual bool iCelCameraMode::DrawAttachedMesh | ( |  | ) | const`[pure virtual]`

Decides if the mesh the camera is attached to should be drawn or not in this mode.

Returns:
  True if the attached mesh should be drawn.

virtual const csVector3& iCelCameraMode::GetPosition | ( |  | ) | const`[pure virtual]`

Gets the desired camera position.

Returns:
  The desired camera position.

virtual float iCelCameraMode::GetSpringCoefficient | ( |  | ) | const`[pure virtual]`

Gets the spring coefficient to use for the spring physics.

Returns:
  The spring coefficient of this camera mode.

virtual const csVector3& iCelCameraMode::GetTarget | ( |  | ) | const`[pure virtual]`

Gets the desired camera target.

Returns:
  The desired camera target.

virtual const csVector3& iCelCameraMode::GetUp | ( |  | ) | const`[pure virtual]`

Gets the desired camera up vector.

Returns:
  The desired camera up vector.

virtual void iCelCameraMode::SetParentCamera | ( | iPcNewCamera * | camera | ) | `[pure virtual]`

Tells the camera mode what camera has it attached.

Parameters:

  | camera | The parent camera.

virtual bool iCelCameraMode::UseSpringPos | ( |  | ) | const`[pure virtual]`

Decides if this camera mode should use spring physics for the camera's position.

Returns:
  True if this camera mode uses spring physics.

virtual bool iCelCameraMode::UseSpringTarget | ( |  | ) | const`[pure virtual]`

Decides if this camera mode should use spring physics for the camera's target.

Returns:
  True if this camera mode uses spring physics.

virtual bool iCelCameraMode::UseSpringUp | ( |  | ) | const`[pure virtual]`

Decides if this camera mode should use spring physics for the camera's up vector.

Returns:
  True if this camera mode uses spring physics.

The documentation for this struct was generated from the following file:

- propclass/newcamera.h